"""Blueprint registration module."""
from flask import Flask

from .main import bp as main_bp
from .papers import bp as papers_bp
from .upload import bp as upload_bp
from .schedule import bp as schedule_bp


def register_blueprints(app: Flask):
    """Register all blueprints with the Flask application."""
    app.register_blueprint(main_bp)
    app.register_blueprint(papers_bp, url_prefix='/papers')
    app.register_blueprint(upload_bp, url_prefix='/upload')
    app.register_blueprint(schedule_bp, url_prefix='/schedule')